std::chrono::local_info(3)

NAME
std::chrono::local_info - std::chrono::local_info

Synopsis
   Defined in header <chrono>
   struct local_info; (since C++20)
   The class local_info describes the result of converting a std::chrono::local_time to
   a std::chrono::sys_time.
     * If the result of the conversion is unique, then result == local_info::unique,
       first is filled out with the correct std::chrono::sys_info, and second is
       zero-initialized.
     * If the local_time is nonexistent, then result == local_info::nonexistent, first
       is filled out with the std::chrono::sys_info that ends just prior to the
       local_time, and second is filled out with the std::chrono::sys_info that begins
       just after the local_time.
     * If the local_time is ambiguous, then result == local_info::ambiguous, first is
       filled out with the std::chrono::sys_info that ends just after the local_time,
       and second is filled with the std::chrono::sys_info that starts just before the
       local_time.
   This is a low-level data structure; typical conversions from local_time to sys_time
   will use it implicitly rather than explicitly.

Member constants
   Name Value
   constexpr int unique 0
   [static] (public static member constant)
   constexpr int nonexistent 1
   [static] (public static member constant)
   constexpr int ambiguous 2
   [static] (public static member constant)

Member objects
   Member object Type
   result int
   first, second std::chrono::sys_info
  Nonmember functions
   operator<< outputs a local_info into a stream
   (C++20) (function template)

Helper classes
                        specialization of std::formatter that
   std::formatter<std::chrono::local_info> formats a local_info according to the
   (C++20) provided format
                        (class template specialization)